# CraftPresence

## [v1.8.8](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.8.8) (2022-04-21)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.8.7...v1.8.8) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Fix] LuaCheck adjustments for C\_CVar and in\_combat changes  
- [Refactor] Cleanup Duplicated Code  
    - The `shouldEnable` code that is used in `EncodeconfigData`, `SyncEvents`, and the list commands for `placeholders` and `events` were found to be almost exact duplicates. These have been merged into two different methods: The existing `SyncEvents` and an individual `ShouldProcessData` method.  
    - Furthermore, `tag\_data` in `/cp placeholders list` had an issue where it may not use the most recent copy of the config placeholders. This issue has now been fixed.  
    - Additionally, luacheck is now enforced for future releases. Expect a follow-up release shortly with further luacheck changes to coincide with past repo changes  
